首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
V2EX  ›  程序员

flutter 环境问题 求助

  •  
  •   blurh11E27 · 163 天前 · 775 次点击
    这是一个创建于 163 天前的主题,其中的信息可能已经有所发展或是发生改变。

    flutter 安装过程参考官网还有慕课的课程、

    flutter doctor 全对号,没有问题;

    flutter run 卡住了,提示 this si taking an unexpectedly long time !

    这种问题 那位大神能帮我 解决一下? 感激不尽

    5 回复  |  直到 2019-04-11 16:48:31 +08:00
        1
    YuxiangLuo   163 天前 via Android
    大概率是科学上网的问题。
        2
    blurh11E27   163 天前
    @YuxiangLuo 换了两种扶墙姿势
        3
    YuxiangLuo   163 天前 via Android
    @blurh11E27 https://www.cnblogs.com/geekshine/p/9458122.html 大半年前的一点记录,有点混乱,希望对你有点帮助。
        4
    POPOEVER   163 天前
    可能是 gradle 版本问题,试试 update android sdk
        5
    HuasLeung   163 天前
    https://github.com/flutter/flutter/issues/27310

    "
    Guys, It worked for me:

    Created a fresh project
    Temp files were causing the trouble with android licenses (a restart did the trick)
    Java version was also causing trouble so changed the build.gradle file
    // Added by me for solving java version error
    compileOptions {
    sourceCompatibility JavaVersion.VERSION_1_8
    targetCompatibility JavaVersion.VERSION_1_8
    }
    Hope this helps!
    "
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   1158 人在线   最高记录 5043   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.3 · 20ms · UTC 18:07 · PVG 02:07 · LAX 11:07 · JFK 14:07
    ♥ Do have faith in what you're doing.